# frozen_string_literal: true

module FormElements
  class ToggleComponent < ViewComponent::Base
    def initialize(enabled:, input_enabled: true, data: nil, class_names: nil, tabindex: nil)
      @enabled = !!enabled
      @input_enabled = input_enabled
      @data = data
      @class_names = class_names
      @tabindex = tabindex
    end
  end
end
